Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## escjava
Class Status

    java.lang.Object
      escjava.Status

public class Status
extends java.lang.Object

Field Summary
`static int` | `CHILDERROR`
`static int` | `ILLEGAL`
`static int` | `NOTPROCESSED`
`static int` | `PARSED_CAUTION`
`static int` | `PARSED_ERROR`
`static int` | `PARSED_OK`
`static int` | `PARSING_COMPLETE`
`static int` | `RESOLVED_CAUTION`
`static int` | `RESOLVED_COMPLETE`
`static int` | `RESOLVED_ERROR`
`static int` | `RESOLVED_OK`
`static int` | `STATICCHECKED_CAUTION`
`static int` | `STATICCHECKED_ERROR`
`static int` | `STATICCHECKED_OK`
`static int` | `STATICCHECKED_PASSEDIMMED`
`static int` | `STATICCHECKED_TIMEOUT`
`static int` | `TYPECHECK_COMPLETE`
`static int` | `TYPECHECKED_CAUTION`
`static int` | `TYPECHECKED_ERROR`
`static int` | `TYPECHECKED_OK`
`static int` | `TYPECHECKED_WAITING`

Constructor Summary
`Status()`

Method Summary
`static boolean` | `checkComplete(int s)`
`static boolean` | `isError(int s)`
`static boolean` | `isOK(int s)`
`static boolean` | `parsingComplete(int s)`
`static boolean` | `resolved(int s)`
`static java.awt.Color` | `toColor(int status)`
`static java.lang.String` | `toString(int status)`
`static boolean` | `typecheckComplete(int s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ILLEGAL

    public static final int ILLEGAL

See Also:
  Constant Field Values

### NOTPROCESSED

    public static final int NOTPROCESSED

See Also:
  Constant Field Values

### RESOLVED_OK

    public static final int RESOLVED_OK

See Also:
  Constant Field Values

### RESOLVED_CAUTION

    public static final int RESOLVED_CAUTION

See Also:
  Constant Field Values

### RESOLVED_ERROR

    public static final int RESOLVED_ERROR

See Also:
  Constant Field Values

### RESOLVED_COMPLETE

    public static final int RESOLVED_COMPLETE

See Also:
  Constant Field Values

### PARSED_OK

    public static final int PARSED_OK

See Also:
  Constant Field Values

### PARSED_CAUTION

    public static final int PARSED_CAUTION

See Also:
  Constant Field Values

### PARSED_ERROR

    public static final int PARSED_ERROR

See Also:
  Constant Field Values

### PARSING_COMPLETE

    public static final int PARSING_COMPLETE

See Also:
  Constant Field Values

### TYPECHECKED_ERROR

    public static final int TYPECHECKED_ERROR

See Also:
  Constant Field Values

### TYPECHECKED_CAUTION

    public static final int TYPECHECKED_CAUTION

See Also:
  Constant Field Values

### TYPECHECKED_WAITING

    public static final int TYPECHECKED_WAITING

See Also:
  Constant Field Values

### TYPECHECKED_OK

    public static final int TYPECHECKED_OK

See Also:
  Constant Field Values

### TYPECHECK_COMPLETE

    public static final int TYPECHECK_COMPLETE

See Also:
  Constant Field Values

### STATICCHECKED_ERROR

    public static final int STATICCHECKED_ERROR

See Also:
  Constant Field Values

### STATICCHECKED_CAUTION

    public static final int STATICCHECKED_CAUTION

See Also:
  Constant Field Values

### STATICCHECKED_OK

    public static final int STATICCHECKED_OK

See Also:
  Constant Field Values

### STATICCHECKED_PASSEDIMMED

    public static final int STATICCHECKED_PASSEDIMMED

See Also:
  Constant Field Values

### STATICCHECKED_TIMEOUT

    public static final int STATICCHECKED_TIMEOUT

See Also:
  Constant Field Values

### CHILDERROR

    public static final int CHILDERROR

See Also:
  Constant Field Values

Constructor Detail

### Status

    public Status()

Method Detail

### isOK

    public static boolean isOK(int s)

### isError

    public static boolean isError(int s)

### checkComplete

    public static final boolean checkComplete(int s)

### typecheckComplete

    public static final boolean typecheckComplete(int s)

### parsingComplete

    public static final boolean parsingComplete(int s)

### resolved

    public static final boolean resolved(int s)

### toString

    public static java.lang.String toString(int status)

### toColor

    public static java.awt.Color toColor(int status)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage